Status: Closed

Priority: High

Assignee: Salvatore Larosa

Category: PyQGIS Console

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17165
Description

The python console automatically inserts the closing bracket when you type
e.g. for

iface.mapCanvas(

will be expanded automatically to

iface.mapCanvas()

with the cursor placed between the brackets.

Therefore | often find myself typing

iface.mapCanvas())

or

iface.mapCanvas().refresh)

And then have either a python error or an extra click onto delete
I'd propose to

- either to remove this behavior of auto-inserting brackets

- overwrite auto-inserted brackets by manually typed ones (unless e.g. mouse- or arrow-interaction occured which would "commit" the
auto-inserted bracket)

Any opinions on this?

Associated revisions

Revision 3644402b - 2013-08-02 03:42 PM - Salvatore Larosa

[pyqagis-console][fix #8392] automatically removes the redundant char when autoclosing brackets option is enabled
History

#1 - 2013-08-01 02:16 AM - Nathan Woodrow

You can turn auto insert off in the console settings.

#2 - 2013-08-01 02:41 AM - Matthias Kuhn

| should have checked before... Thanks Nathan.

Any opinions about the second proposal and about changing the default setting value for this to be off?

#3 - 2013-08-02 06:46 AM - Salvatore Larosa
- Status changed from Open to Closed

Fixed in changeset commit:"3644402bc770821442f84054e0e21367d279aad9".
